Package org.eclipse.mat.parser.internal.snapshot

# Class ObjectMarker

java.lang.Object
org.eclipse.mat.parser.internal.snapshot.ObjectMarker

public class ObjectMarker extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`ObjectMarker.DfsThread`
`class`
`ObjectMarker.LocalDfsThread`
Depth first search thread - with locality.

## Constructor Summary

Constructors
Constructor
Description
`ObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, long outboundLength, IProgressListener progressListener)`
`ObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, IProgressListener progressListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`markMultiThreaded(int numberOfThreads)`
`int`
`markSingleThreaded()`
`int`
`markSingleThreaded(ExcludedReferencesDescriptor[] excludeSets, ISnapshot snapshot)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectMarker

public ObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, IProgressListener progressListener)

### ObjectMarker

public ObjectMarker(int[] roots, boolean[] bits, IIndexReader.IOne2ManyIndex outbound, long outboundLength, IProgressListener progressListener)

## Method Details

### markSingleThreaded

public int markSingleThreaded() throws IProgressListener.OperationCanceledException

Throws:
  `IProgressListener.OperationCanceledException`

### markSingleThreaded

public int markSingleThreaded(ExcludedReferencesDescriptor[] excludeSets, ISnapshot snapshot) throws SnapshotException, IProgressListener.OperationCanceledException

Throws:
  `SnapshotException`
  `IProgressListener.OperationCanceledException`

### markMultiThreaded

public void markMultiThreaded(int numberOfThreads) throws InterruptedException

Throws:
  `InterruptedException`